Subject: Re: [bitcoin-dev] Bitcoin XT 0.11A

From: Andrew LeCody <[email-masked]>
Date: Sun, 16 Aug 2015 18:37:34 +0000

> PS: I consider this attempt at takeover about as foul as it gets. The
equivalent of repeating a referendum until a yes is obtained: the
reasonable reaction to this is actively blocking said "referendum". There
was a fair play alternative which is voting through coinbase scriptSig like
plain 8MBers are doing, or like BIP 100 proposes for dynamic adjustment.
Once a majority is obtained in this way, devs have to react or if they
don't then this sort of foul play would be justified. But this wasn't the
case.

I fail to see how voting with version numbers is different than voting with
coinbase scriptSig. Other than the fact that the voting XT is doing is
formally defined instead of ad-hoc.

On Sat, Aug 15, 2015 at 5:40 PM muyuubyou via bitcoin-dev <
[email-masked]> wrote:

> I posted this to /r/BitcoinMarkets but I thought I might post it here as
> well.
>
> ---
> Currently 0 mined blocks have voted for XT.
>
> If it ever gets close to even 50%, many things can happen that would
> reshape the game completely.
>
> For instance:
>
> - Core could start boycotting XT by not relying to them and/or not relying
> from them.
>
> - Core could appropriate the version string of XT, making it impossible to
> know how much they are progressing and a losing bet to actually execute the
> fork.
>
> This kind of node war if the factions were sizeable would make it very
> risky to transact at all - balances in new addresses could end up
> vanishing. Usability of the system would plummet.
>
> Note that any disagreement between the network and the biggest economic
> actors - mainly the exchanges at this point, "wallet services" maybe -
> would mean BTC plummets. Hard. And so would confidence.
>
> It's a risky game to play.
> ---
>
> PS: I consider this attempt at takeover about as foul as it gets. The
> equivalent of repeating a referendum until a yes is obtained: the
> reasonable reaction to this is actively blocking said "referendum". There
> was a fair play alternative which is voting through coinbase scriptSig like
> plain 8MBers are doing, or like BIP 100 proposes for dynamic adjustment.
> Once a majority is obtained in this way, devs have to react or if they
> don't then this sort of foul play would be justified. But this wasn't the
> case.
>
> -----
> 為せば成る
> _______________________________________________
> bitcoin-dev mailing list
> [email-masked]
> https://lists.linuxfoundation.org/mailman/listinfo/bitcoin-dev
>